Description
| am reorganizing the Iceberg reconstruction code.

History

#1 - 08/04/2020 08:54 AM - David Adams

Most changes will be in fcl but | have modified the pedestal finder (tool AdcPedestalFitter) to make the removal of sticky codes optional and the width
of the fit range a fcl parameter. The old hardwired value for the latter was 100 channels. These changes are made because the tool is occaissionally
failing for Iceberg run 4 with COTS ADCs that have less response (fewer ADC counts per electron) and do not have sticky codes.

| have modified the tool configurations for PDSP to include the new parameters with values to reproduce the old values.

| have just committed these changes. Christoph, pls let me know if we see any change in the PDSP Cl tests.

#2 - 08/04/2020 09:13 AM - David Adams

The last commit includes many changes in the Iceberg configuration. Some are listed below.

A calibration for Iceberg 4b is added. We have (very) different calibrations for each of three run periods: 3 is Feb/March running with the PDSP ADCs,
4a and 4b are July/August withe COTS ADCs before and after a major DAQ update. More run periods are anticipated.

The dataprep Iceberg configuration code is modified so there are two sets of dataprep tool sequences, one for run period 3 and on for period 4. The
calibration in the latter is selected by defining the tool areaGain_ib4. The period 4 dataprep does not remove sticky codes. | am now tuning the
pedestal fits for these sequences.

| have removed some duplicate or obsolete files from the Iceberg directory. There are now three full-reco configurations: icebergX_decode_reco.fcl
with X = 3, 4a and 4b. The goal of this ticket is to get these three working reasonably for runs in the corresponding period.

#3 - 08/04/2020 09:16 AM - David Adams

Tom, do you know the starting and ending run numbers for the three run periods?

#4 - 08/04/2020 10:39 AM - Thomas Junk

Here's the most recent boundary -- turning on the LArASIC buffer. From the e-log:

Entry 1348 07/30/2020 08:30:39

Shekhar Mishra

Entry Subject: Runs after the COTS-ADC Fixed

We have taken the following runs overnight after the COTS-ADC ODD/EVEN problem resolved.

Run number 6055-6090

#5 - 08/04/2020 10:44 AM - Thomas Junk

And here's another run number from the warm COTS ADC running, run 5369. So runs after that are COTS-ADC runs.
Shekhar Mishra

Entry Subject: Run 5369 of COTS-ADC 7-34 (Room Temperature)

We installed COTS-ADC 7-34 on the test WIB004.

After getting the BUTools configured for COTS-ADC we were able to pass the FEMBs through initial test.
Configured the TLU for the pulser trigger. The rate had to be adjusted to get good data. 12 Hz works.

The data can be found at

/data1/dropbox_staging/iceberg_r005369_sr01_20200619T033217_1_dI1.root
The rawTPC plot is at
https://internal.dunescience.org/iceberg/localincludes/Plots/Tscript/iceberg_r005369/index.html

#6 - 08/04/2020 10:51 AM - Thomas Junk

Shekhar's Run3 summary spreadsheet lists runs from 3366 to 5359.
#7 - 08/04/2020 11:24 AM - David Adams
Thanks Tom. With your hint, | looked at am metadata and 5359 is also the last copied run taken in March.

6055-6090 still have the low noise (and so presumably low gain) of the preceding days. Further intervention was made after that and 6103 looks like
the first pulser run for period 4a.

So we have

Run period Runs Noise [ADC count]
3 - 5359 2.5
4a 5360 - 6090 0.7
4b 6103 - 1.3

Tom, can you add Shekhar to our developer list so he can be added to this ticket? Thanks.

#8 - 08/04/2020 11:43 AM - Thomas Junk

| added C. Mishra just now to the larsoft developers list which includes dunetpc.

#9 - 08/04/2020 12:13 PM - David Adams

| don't see Shekhar in the menu. Maybe this takes a while to take effect?
#10 - 08/04/2020 01:11 PM - Thomas Junk
C. Mishra is listed in the dunetpc overview page. It does take a while to propagate the credential so git pushes are allowed due to cron jobs waking

up. | added C. Mishra to the watchlist just now as part of this edit. The phonebook didn't have any other C. Mishras in it so | hope | got the right one.

#11 - 09/04/2020 12:56 PM - David Adams

- Status changed from New to Closed

| think this is done. Reopen if not.
